### ssl::error::stream_errors

    enum stream_errors

##### Values

stream_truncated

  The underlying stream closed before the ssl stream gracefully shut down.

unspecified_system_error

  The underlying SSL library returned a system error without providing further information.

unexpected_result

  The underlying SSL library generated an unexpected result from a function call.

##### Requirements

Header: `asio/ssl/error.hpp`

Convenience header: `asio/ssl.hpp`